
CD-Section: Conversion to Asymmetric Unit
C This routine prepares for the conversion of reflection indices to
C the asymmetric unit. It is equivalent to the CCP4 routine ASUSET but allows
C the internally stored symmetry to be accessed.
CD-end

C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C**************************
C**     KSM_ASUSET       **
C**************************
C
CD-Routine: Prepare to Convert Indices to Assymetric Unit - KSM_AUSET
C This routine calls the CCP4 routine ASUSET to prepare for converting
C indices to the asyymetric unit etc. using ASUPUT, ASUGET. The ASUSET
C routine is called via the KSM routine because it can access
C data stored internally within the Keyword Symmetry Module and avoid 
C having to duplicate such data unnecessarily.
CD-end
CD-Fortran:
      SUBROUTINE KSM_ASUSET (MLAUE)
CD-end
      INCLUDE 'implicit_none.finc'
C
C Purpose: Call to CCP4'S ASUSET routine using stored symmetry
C
C          Then ASUPUT, ASUGET can be used
C
C Author:  John W. Campbell, July 1995 (from LDM_ASUSET)
C
C Arguments:
C
      INTEGER MLAUE
CD-Parameters: 
C MLAUE   i (W)   Returns the Laue group number
CD-end
C
C====== GLOBALS:
C
      INCLUDE 'ksm_data.finc'
      EXTERNAL KSM_BDAT
C
C====== LOCALS:
C

C
C-------------------------------------------------------------------------------
C
      CALL ASUSET (SPGNAM, NSPGRP, PGNAM, NSYM, ROTSYM, NSYMP, 
     +             MLAUE, 0)
      RETURN
      END
